Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.nlp.optimization
Enum QNMinimizer.eState

    java.lang.Object
      java.lang.Enum<QNMinimizer.eState>
          edu.stanford.nlp.optimization.QNMinimizer.eState

All Implemented Interfaces:
  Serializable, Comparable<QNMinimizer.eState>

Enclosing class:
  QNMinimizer

    public static enum QNMinimizer.eState

extends Enum<QNMinimizer.eState>

Enum Constant Summary
`CONTINUE`
`TERMINATE_AVERAGEIMPROVE`
`TERMINATE_GRADNORM`
`TERMINATE_MAXEVALS`
`TERMINATE_RELATIVENORM`

Method Summary
`static QNMinimizer.eState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QNMinimizer.eState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TERMINATE_MAXEVALS

    public static final QNMinimizer.eState TERMINATE_MAXEVALS

### TERMINATE_RELATIVENORM

    public static final QNMinimizer.eState TERMINATE_RELATIVENORM

### TERMINATE_GRADNORM

    public static final QNMinimizer.eState TERMINATE_GRADNORM

### TERMINATE_AVERAGEIMPROVE

    public static final QNMinimizer.eState TERMINATE_AVERAGEIMPROVE

### CONTINUE

    public static final QNMinimizer.eState CONTINUE

Method Detail

### values

    public static QNMinimizer.eState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QNMinimizer.eState c : QNMinimizer.eState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QNMinimizer.eState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Stanford NLP Group